# AutoAPI Elixir

Table of contents
=================
   * [Features](#features)
   * [Install](#install)
   * [Requirements](#requirements)
   * [Getting Started](#getting-started)
   * [Contributing](#contributing)
   * [License](#license)


## Features

**Serializing**: The library is designed to serialize AutoAPI data to and from Elixir Structs.

## Install

The package can be installed as:

  1. Add `auto_api` to your list of dependencies in `mix.exs`:

```elixir
def deps do
  [{:auto_api, github: "highmobility/hm-auto-api-elixir", branch: "level11"}]
end
```

## Requirements

AutoAPI Elixir requires Elixir 1.9 or later and is compatible with apps targeting Erlang 22.0 or above.



## Getting started

Get started by reading the [AutoAPI guide](https://high-mobility.com/learn/tutorials/getting-started/auto-api-guide/) in high-mobility.com.  

Check out the [spec](https://github.com/highmobility/auto-api/tree/master/SPEC.md) for more details on the structure and logic, or some other libs generatated on that spec: [Android](https://github.com/highmobility/hm-java-auto-api), [Elixir](https://github.com/highmobility/hm-auto-api-elixir).  



## Contributing

We would love to accept your patches and contributions to this project. Before getting to work, please first discuss the changes that you wish to make with us via [GitHub Issues](https://github.com/highmobility/auto-api-elixir/issues), [Spectrum](https://spectrum.chat/high-mobility/) or [Slack](https://slack.high-mobility.com/).

See more in [CONTRIBUTING.md](CONTRIBUTING.md)


## License

This repository is using MIT license. See more in [LICENSE](LICENSE)
